--- old/usr/src/cmd/cmd-inet/usr.sbin/snoop/snoop_ip.c	2012-08-08 12:41:58.854335335 +0000
+++ new/usr/src/cmd/cmd-inet/usr.sbin/snoop/snoop_ip.c	2012-08-08 12:41:58.898407824 +0000
@@ -299,6 +299,10 @@
 				(void) interpret_sctp(flags,
 				    (struct sctp_hdr *)data, iplen, fraglen);
 				break;
+			case IPPROTO_DCCP:
+				(void) interpret_dccp(flags,
+				    (struct dccphdr *)data, iplen, fraglen);
+				break;
 			}
 		}
 	}
@@ -477,6 +481,10 @@
 		case IPPROTO_OSPF:
 			interpret_ospf6(flags, data, iplen, fraglen);
 			break;
+		case IPPROTO_DCCP:
+			(void) interpret_dccp(flags, (struct dccphdr *)data,
+			    iplen, fraglen);
+			break;
 		}
 	}
 
@@ -730,6 +738,7 @@
 	case IPPROTO_EON:	return ("EON");
 	case IPPROTO_RAW:	return ("RAW");
 	case IPPROTO_OSPF:	return ("OSPF");
+	case IPPROTO_DCCP:	return ("DCCP");
 	default:		return ("");
 	}
 }
